### robocode.control.events

# Class TurnStartedEvent

- `java.lang.Object`
- - `robocode.control.events.BattleEvent`
  - - `robocode.control.events.TurnStartedEvent`

`public class TurnStartedEvent`
`extends BattleEvent`

A TurnStartedEvent is sent to `onTurnStarted()` when a new turn in a battle round is started.

Authors:
  Pavel Savara (original)
  Flemming N. Larsen (contributor)

Since:
  1.6.2

See Also:
  `IBattleListener`, `TurnEndedEvent`

  ## Constructor Summary

  `TurnStartedEvent()`
    Creates a new TurnStartedEvent.

## Constructor Details

### TurnStartedEvent

    public TurnStartedEvent()

> Creates a new TurnStartedEvent.